package com.xy.utils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 字典子枚举
 */
@Getter
@AllArgsConstructor
public enum DictsSonEnum {

    DEVICE_QUALITY_STATUS_QUALIFIED("qualified", "设备质检-合格状态-合格"),

    DEVICE_QUALITY_STATUS_UNQUALIFIED("unqualified", "设备质检-合格状态-不合格"),

    DEVICE_FACTORY_STATUS_NOT_SHIPPED("not_shipped", "设备质检-出厂状态-未出厂"),

    DEVICE_FACTORY_STATUS_SHIPPING("shipping", "设备质检-出厂状态-出厂预处理中"),

    DEVICE_FACTORY_STATUS_CAN_SHIPPED("can_shipped", "设备质检-出厂状态-可出厂"),

    DEVICE_FAULT_LEVEL_PAY_THRESHOLD_NOT_PAY("not_pay", "设备-故障等级-阈值-无法交易"),

    DEVICE_QR_CODE_URL("url", "设备-二维码参数-url"),

    DEVICE_ONLINE_STATUS_CONNECTED("connected", "设备-联网状态-在线"),
    DEVICE_ONLINE_STATUS_DISCONNECT("disconnect", "设备-联网状态-离线"),
    DEVICE_BUSY_STATUS1("1", "设备-运营状态-运营中"),
    DEVICE_BUSY_STATUS2("2", "设备-运营状态-已停运"),
    DEVICE_DATA_TYPE_YEAR("year", "设备统计数据-按年统计"),
    DEVICE_DATA_TYPE_MONTH("month", "设备统计数据-按月统计"),
    DEVICE_DATA_TYPE_DAY("day", "设备统计数据-按日统计"),

    DEVICE_FREEZE_STATUS_1("1", "设备-冻结状态-正常"),

    DEVICE_FREEZE_STATUS_2("2", "设备-冻结状态-冻结"),

    DEVICE_ACTIVE_STATUS_1("1", "设备-激活状态-已激活"),

    DEVICE_ACTIVE_STATUS_2("2", "设备-激活状态-未激活"),

    DEVICE_BUSY_STATUS_1("1", "设备-运营状态-运营中"),

    DEVICE_BUSY_STATUS_2("2", "设备-运营状态-已停运"),

    DEVICE_ONLINE_STATUS_1("1", "设备-联网状态-在线"),

    DEVICE_ONLINE_STATUS_2("2", "设备-联网状态-离线"),

    ENV_UAT("uat", "环境标识-测试环境"),

    ENV_PROD("prod", "环境标识-生产环境"),

    DEVICE_CHARGING_X("x", "设备计费标准-机器激活后可使用天数"),

    DEVICE_CHARGING_Y("y", "设备计费标准-机器欠费后可使用天数"),

    DEVICE_CHARGING_100("100", "设备计费标准-余额续费方式"),

    DEVICE_CHARGING_101("101", "设备计费标准-其他续费方式"),

    DEVICE_TYPE_5("5", "设备-机器类型-支付宝视动态觉柜"),

    QUALITY_MERC_SETS_MERC_CODE("merc_code", "质检商户配置-质检商户账号code"),

    ;

    private String key;

    private String msg;

    public int getKeyInt() {
        return Integer.valueOf(this.key);
    }
}
